package com.bytedance.android.livesdk.livesetting.linkmic;

import X.K2D;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("multi_host_pre_joinchannel_setting")
public final class MultiHostPreJoinChannelSetting {
    @Group(isDefault = true, value = "default group")
    public static final K2D DEFAULT = new K2D((byte) 0);
    public static final MultiHostPreJoinChannelSetting INSTANCE = new MultiHostPreJoinChannelSetting();

    public final K2D getValue() {
        K2D k2d = (K2D) SettingsManager.INSTANCE.getValueSafely(MultiHostPreJoinChannelSetting.class);
        if (k2d == null) {
            return DEFAULT;
        }
        return k2d;
    }

    static {
        Covode.recordClassIndex(17953);
    }
}
